> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1voiceagentsclassifiers logs



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/voice/agents/classifiers/{classifier}/logs
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/voice/agents/classifiers/{classifier}/logs:
    get:
      tags:
        - CallOutcomeClassifiers
      operationId: voice.classifiers.classifier.logs
      parameters:
        - name: classifier
          in: path
          required: true
          description: The classifier ID
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: per_page
          in: query
          schema:
            type:
              - integer
              - 'null'
        - name: search
          in: query
          schema:
            type: string
        - name: status
          in: query
          schema:
            type: string
            enum:
              - pending
              - in_progress
              - completed
              - failed
              - skipped
              - cancelled
        - name: search_ids
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
      responses:
        '200':
          description: Array of `CallOutcomeClassifierLogResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CallOutcomeClassifierLogResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    CallOutcomeClassifierLogResource:
      type: object
      properties:
        id:
          type: string
        team_id:
          type: string
        call_id:
          type: string
        call_outcome_classifier_id:
          type: string
        call_outcome_classifier_run_id:
          type:
            - string
            - 'null'
        initial_call_outcome:
          type:
            - string
            - 'null'
        new_call_outcome:
          type:
            - string
            - 'null'
        status:
          type: string
        failure_reason:
          type:
            - string
            - 'null'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - team_id
        - call_id
        - call_outcome_classifier_id
        - call_outcome_classifier_run_id
        - initial_call_outcome
        - new_call_outcome
        - status
        - failure_reason
        - created_at
      title: CallOutcomeClassifierLogResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````